This guide is intended to describe the process of connecting to [Globus](https://www.globus.org) to transfer data collected at the Advanced Photon Source (APS) and stored using the APS Data Management System to a computer at a users home institution. 

## Logging in

The user external user will need an account that allows logging into the Globus site. Some 
institutions which regularly use Globus have arranged for users to log into Globus 
using credentials from the institutions login system.  Argonne, for instance is one 
of those sites.  When a user selects to login to Globus the first page will prompt 
the user to select from a list of organizations.  An example of this is shown below.

![globus-org-login|50%](images/globus-org-login.png)

On selection of the organization you will see a login page such as the one from Argonne below.  Note this page will differ depending on the chosen organization.

![globus-anl-login](images/globus-anl-login.png)

## Connecting

Once logged in, you will land on a File Manager page.  In the collection box on this page enter aps#data for the collection.  The first time that this is set up and then periodically after you will be asked to authentate for access to this collection (see image below).  For this you will need the APS Data Management account which is linked to the APS Web Account that is used for the APS Proposal & ESAF system.  These are two separate accounts that share a password.  The username for the Web Account is the users badge number while the DM username is the badge number prefixed by the letter 'd' (e.g. d123456).  The password for the DM account is sync'd with the Web account automatically but changes may lag up to 15 minutes due to the sync process.

![globus-dm-authenticate](images/globus-dm-authenticate.png)

clicking continue on the page above will lead to a MyProxy login page where you will enter the DM account username and password.  Once again, the username is the badge prefixed with d (d123456) and the password is the same as for the proposal/ESAF system.

![globus-dm-authorization](images/globus-dm-authorization.png)

Once logged in the user will land on a page with a number of directories.  Files from the Data Management System will be under the 'dm' directory.  At that the directories are broken down by station & then as defined on each beamline.  A user will be able to move down the directories to find their data but users will only have access to data directories associated with experiments that they are listed as an experimenter.  If you try to enter other directories you will get a message that you are not authorized for that directory.  

![](images/globus-dm-directory.png)


![](images/globus-beamline-directory.png)


## Verifying/updating APS Web Account

All experimenters on APS Proposal or ESAF should have created an account through the [APS Web Portal](https://beam.aps.anl.gov/pls/apsweb/usercheckin.start_page).  If the user does not have a badge number, they will need to [register with the APS User Office](https://beam.aps.anl.gov/pls/apsweb/ufr_main_pkg.usr_start_page).  To verify or update the Web Password, users can try to log into the web portal above.  Like other web accounts, it is possible to update an unknown/expired password by clicking a link on the portal web page.  For this you will need to provide answers to security questions that were entered at the time the account was set up.

![](images/globus-verify-account.png)